<?php

namespace Modules\Core\Enums;

enum VatTypeEnum: string
{
    case STANDARD = 'standard';
    case EXEMPT = 'exempt';
    case ZERO_RATED = 'zero_rated';
    case TRUNCATED = 'truncated';
    case NON_VAT = 'non_vat';

    public static function casesAsArray(): array
    {
        return array_map(fn(self $case) => $case->value, self::cases());
    }
}
